import { GraphQLError, GraphQLFormattedError, GraphQLSchema } from 'graphql';
import { ContextAdder } from '../schema';
import { NexusRequestHandler } from './server';
import { PlaygroundInput } from './settings';
declare type Settings = {
    introspection: boolean;
    playground: false | PlaygroundInput;
    path: string;
    errorFormatterFn(graphqlError: GraphQLError): GraphQLFormattedError;
};
declare type CreateHandler = (schema: GraphQLSchema, createContext: ContextAdder, settings: Settings) => NexusRequestHandler;
/**
 * Create a handler for graphql requests.
 */
export declare const createRequestHandlerGraphQL: CreateHandler;
export {};
//# sourceMappingURL=handler-graphql.d.ts.map